​

Change user role and notification settings

PATCH
https://example.kaiten.ru/api/latest/spaces/{space_id}/users/{id}
Path parameters
NameTypeReference
space_idrequiredintegerSpace ID
idrequiredintegerUser ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
role_id
string

Role id. Preset roles : reader - '06ccb31f-426b-4fa3-b7e5-861daee95696', writer - 'a431ed00-1b32-4cc7-92b6-85e4bc7de40e', admin - '07ea3efc-a004-4d31-8683-4bb2084e209b'

notifications_enabled
boolean

Enabled or disable notifications for space events

space_group_id
number | null

Space group id

settings
object

Space user settings

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
entity_uid

string

Entity uid
access_mod

string

Access modifier with inheritable access modifiers
own_access_mod

string

Own access modifier
own_role_ids

array

User role ids
id

integer

User id
user_id

integer

User id
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_id}/users/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!